<nz-spin [nzSpinning]="loading">
  <!--<a href="" [routerLink]="['/accueil']" routerLinkActive="link-active">
    <div class="logo-connection">
      <img src="../../assets/images/logo/Barnabe.io_logo.svg" class="side-navbar__logo-text" alt="Full logo">
    </div>
  </a>-->
  <div class="main">
    <div class="form-login">
      <div class="form-login-title">Déjà inscrit sur Visaal ?</div>
      <form [formGroup]="loginForm" (ngSubmit)="connectWithEmailAndPassword()" class="form">
        <div class="form-group">
          <label class="form-label">
            Email : *
            <input type="email" class="form-control" formControlName="email" placeholder="Mon adresse e-mail"
                   [ngClass]="{ 'is-invalid': loginForm.get('email').touched &&  loginForm.get('email').errors}"/>
          </label>
          <div class="error-validation-field" *ngIf="loginForm.get('email').touched && loginForm.get('email').errors">
            <span>Vous devez saisir un email</span>
          </div>
        </div>

        <div class="form__group">
          <label class="form__label">
            Mot de passe : *
            <input type="password" class="form-control" formControlName="password" placeholder="Mon mot de passe"
                   [ngClass]="{ 'is-invalid': loginForm.get('password').touched &&  loginForm.get('password').errors}"/>
          </label>
          <div class="error-validation-field"
               *ngIf="loginForm.get('password').touched && loginForm.get('password').errors">
            <span>Vous devez saisir un password</span>
          </div>
        </div>
        <button type="submit" class="btn btn-primary">Me connecter</button>
        <a class="link-forgot-password" (click)="forgot()">Mot de passe oublié ?</a>
        <div>
        </div>
        <!--<button type="button" class="btn btn-secondary" (click)="signInWithGoogle()">Me connecter avec google</button>-->
      </form>
    </div>
    <div class="form-login">
      <div class="form-login-title">Nouveau sur Visaal ?</div>
      <hr>
      <button type="button" (click)="signUp()" class="btn btn-primary">Créer mon compte</button>
    </div>
  </div>
</nz-spin>
